## poetry-core 1.0.0

=== debian/changelog ===
poetry-core (1.0.0-3) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/tests/control: add build-essentials package needed
    for tests (Closes: #981533).

 -- Sandro Tosi <morph@debian.org>  Tue, 11 May 2021 18:22:59 -0400

poetry-core (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 20 Jan 2021 22:11:57 -0500

poetry-core (1.0.0-1) unstable; urgency=low

  [ Emmanuel Arias ]
  * Initial release (Closes: #977483)

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 25 Dec 2020 17:52:58 -0500

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=poetry-core
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild --test=pytest

override_dh_auto_install:
	dh_auto_install
	find debian -type f -name "*LICENSE*" -delete
	find debian -type f -name "*LICENCE*" -delete
	find debian -type f -name "vendor.txt" -delete
	find debian -type f -name "*COPYING*" -delete
	# this is from tests
	find . -name "*extended*" -type d -exec rm  -rf {} +

=== debian/tests/control ===
Tests: pytest
Depends:
 build-essential,
 python3-pep517,
 python3-pytest,
 python3-pytest-mock,
 python3-virtualenv,
 python3-dev,
 python3-all,
 @,
Restrictions: allow-stderr

## poetry-core 1.4.0

=== Makefile ===
SHELL                           := $(shell which bash) -e
MAKEFILE_PATH                   := $(abspath $(lastword $(MAKEFILE_LIST)))
ROOT_DIR                        := $(patsubst %/,%,$(dir $(MAKEFILE_PATH)))

VENDOR_SRC                      := $(ROOT_DIR)/vendors
VENDOR_DIR                      := $(ROOT_DIR)/src/poetry/core/_vendor
VENDOR_TXT                      := $(VENDOR_DIR)/vendor.txt
POETRY_BIN                      ?= $(shell which poetry)

.PHONY: vendor/lock
vendor/lock: $(VENDOR_LOCK)
	# regenerate lock file
	@pushd $(VENDOR_SRC) && $(POETRY_BIN) lock --no-update

.PHONY: vendor/sync
vendor/sync:
	# regenerate vendor.txt file (exported from lockfile)
	@pushd $(VENDOR_SRC) && $(POETRY_BIN) export --without-hashes 2> /dev/null \
			| grep -E -v "(importlib|zipp)" \
			| sort > $(VENDOR_TXT)

	# vendor packages
	@$(POETRY_BIN) run vendoring sync

	# strip out *.pyi stubs
	@find "$(VENDOR_DIR)" -type f -name "*.pyi" -exec rm {} \;

.PHONY: vendor/update
vendor/update: | vendor/lock vendor/sync
	@:

## poetry-core 1.0.7

=== debian/changelog ===
poetry-core (1.0.7-2) unstable; urgency=medium

  * d/tests/control: Add git to dependency for autopkgtest (Closes: #1000412).
  * d/control: add nocheck profile for b-depends used in tests.
  * d/copyright: remove a file that is not longer exist.
  * d/upstream/metadata: remove unecessary whiteline.
  * wrap-and-sort.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 23 Nov 2021 02:43:13 -0300

poetry-core (1.0.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add git to b-d, needed by tests
    - run wrap-and-sort
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/patches/0001-Use-setup.py-from-Pypi.patch
    - refresh setup.py (via poetry2setup)

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Nov 2021 22:58:14 -0500

poetry-core (1.0.0-4) unstable; urgency=medium

  * d/rules: Remove __init__.py package file to avoid that poetry
    override this file.
  * d/control: Add DPT as maintainer.
    - Set me as uploaders.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 08 Nov 2021 00:31:59 -0300

=== debian/control ===
Source: poetry-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               git <!nocheck>,
               python3-all,
               python3-all-dev,
               python3-pep517,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-setuptools,
               python3-virtualenv,
Standards-Version: 4.6.0.1
Homepage: https://github.com/python-poetry/poetry-core
Vcs-Git: https://salsa.debian.org/python-team/packages/poetry-core.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry-core
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-poetry-core
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Poetry PEP 517 Build Backend
 A PEP 517 build backend implementation developed for Poetry. This project
 is intended to be a light weight, fully compliant, self-contained package
 allowing PEP 517 compatible build frontends to build Poetry managed projects.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 export PYBUILD_NAME=poetry-core
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+# DESTDIR export variable is used hereunder in execute_after_dh_auto_install
+export DESTDIR=$(CURDIR)/debian/python3-poetry-core
+PYVERS := $(shell py3versions -sv)
+
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild --test=pytest
@@ -14,3 +19,14 @@
 	find debian -type f -name "*COPYING*" -delete
 	# this is from tests
 	find . -name "*extended*" -type d -exec rm  -rf {} +
+
+
+execute_after_dh_install:
+	# During the package the of poetry, and piuparts error occur,
+	# because poetry.core is a module of poetry and both try to
+	# install poetry/__init__.py in the same path. As poetry.core
+	# is not expected to be installed alone, we adopt to remove
+	# __init__.py file from poetry.core package.
+	set -e ; for pyver in $(PYVERS); do \
+		rm $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/__init__.py ;\
+	done

=== debian/tests/control ===
Tests: pytest
Depends: build-essential,
         git,
         python3-all,
         python3-all-dev,
         python3-pep517,
         python3-pytest,
         python3-pytest-mock,
         python3-virtualenv,
         @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((rc|a|b)\d*)$/$1~$2/, \
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/v$1\.tar\.gz/" \
  https://github.com/python-poetry/poetry-core/tags .*/v?(\d\S+)\.tar\.gz

## poetry-core 1.0.8

=== debian/changelog ===
poetry-core (1.0.8-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch: change regex to remove alpha, beta and release candidate
    from matched versions.
  * d/control: Build with pybuild's pyproject plugin. Add
    pybuild-plugin-pyproject as Build Depends.
    - Use python3-poetry-core to build, add it to Build Depends.
  * d/control: Bump Standards-Version to 4.6.1 (from 4.6.0.1). No changes
    needed.
  * d/copyright: Update Copyright year for debian/* files.
  * d/patches: Remove 0001-Use-setup.py-from-Pypi.patch patch, it is not
    longer need. Now, it use poetry to build.
    - Rename 0002-Skip-test-that-fail-on-the-build.patch to
    0001-Skip-test-that-fail-on-the-build.patch.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 17 Jul 2022 17:06:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                git <!nocheck>,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
                python3-pep517,
+               python3-poetry-core,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-setuptools,
                python3-virtualenv,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/python-poetry/poetry-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/poetry-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry-core

## poetry-core 1.4.0

=== debian/changelog ===
poetry-core (1.4.0-4) unstable; urgency=medium

  * d/patches: Add new patch to ensure that dist-info is written
    deterministically and make the package reproducible (Closes: #1029296).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 21 Jan 2023 19:44:44 -0300

poetry-core (1.4.0-3) unstable; urgency=medium

  * d/control: Add Breaks for python3-cleo << 2.0.1-1.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 09 Jan 2023 23:41:25 -0300

poetry-core (1.4.0-2) unstable; urgency=medium

  * d/control Add Breaks for python3-poetry << 1.3.1+dfsg-1.
    - Remove the Breaks for python3-cleo.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 08 Jan 2023 11:12:38 -0300

poetry-core (1.4.0-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: Add the tomlkit vendor package copyright entry-
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1.1; no further
    changes).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 06 Jan 2023 23:03:40 -0300

poetry-core (1.3.2-3) unstable; urgency=medium

  * d/control Add Breaks for python3-cleo << 1.0.0a5-3.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 07 Dec 2022 12:56:59 -0300

poetry-core (1.3.2-2) unstable; urgency=medium

   * d/control Add Breaks for python3-poetry << 1.2.2+dfsg-1.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 06 Dec 2022 14:50:50 -0300

poetry-core (1.3.2-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: Update file for the last upstream version.
    - Use expat license name instead of MIT.
  * d/rules: Ignore test_version_is_synced test execution, this tests read the
    pyproject.toml source file and fails.
  * d/patches: Update patches.
  * d/rules: Remove execute_after_dh_install target. Upstream set implicit
    namespace package.
  * d/tests/pytest: Copy pyproject.toml to AUTOPKGTEST_TMP folder to run
    test_version_is_synced that is ignored during the build.
  * d/control: Add python3-build as Build Depends, it is used for tests.
    - d/tests/control: Also add python3-build as a Dependency for
    autopkgtests.
  * d/control: Remove trivial autopkgtest-pkg-python.
  * d/control: Bump Standards-Version to 4.6.1.1 (from 4.6.1; no further
    changes).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 16 Nov 2022 12:26:21 -0300

poetry-core (1.0.8-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Export PYBUILD_TEST_PYTEST=1. --test=pytest has no effect
    when passed to dh.
  * Build-Depend on python3-setuptools and Depend on it for autopkgtests.
    It's no longer a transitive dependency of python3-virtualenv.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Sep 2022 10:54:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,22 +9,25 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-all-dev,
+               python3-build <!nocheck>,
                python3-pep517,
                python3-poetry-core,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-setuptools,
                python3-virtualenv,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/python-poetry/poetry-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/poetry-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry-core
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-poetry-core
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+Breaks: python3-poetry (<< 1.3.1+dfsg-1),
+        python3-cleo (<< 2.0.1-1)
 Description: Poetry PEP 517 Build Backend
  A PEP 517 build backend implementation developed for Poetry. This project
  is intended to be a light weight, fully compliant, self-contained package

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=poetry-core
export PYBUILD_TEST_PYTEST=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# ignore tests that read the source pyproject.toml file
export PYBUILD_TEST_ARGS=-k 'not test_version_is_synced'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian -type f -name "*LICENSE*" -delete
	find debian -type f -name "*LICENCE*" -delete
	find debian -type f -name "vendor.txt" -delete
	find debian -type f -name "*COPYING*" -delete
	# this is from tests
	find . -name "*extended*" -type d -exec rm  -rf {} +

=== debian/tests/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
          git,
          python3-all,
          python3-all-dev,
+         python3-build,
          python3-pep517,
          python3-pytest,
          python3-pytest-mock,
+         python3-setuptools,
          python3-virtualenv,
          @,
 Restrictions: allow-stderr

## poetry-core 1.6.1

=== debian/changelog ===
poetry-core (1.6.1-1) unstable; urgency=medium

  * Migrate new upstream version from testing.
  * d/control: Update my contact information in Uploaders key.
    - d/copyrignt: Update my contact information in debian/* files copyright.
  * d/control: Update Breaks for poetry << 1.5.1+dfsg-1 (from 1.3.1+dfsg-1).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 07 Aug 2023 17:30:55 -0300

poetry-core (1.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * d/patches/0001-Skip-test-that-fail-on-the-build.patch: Update patch
    to be according to the new upstream release code.
    - d/patches/0002-Ensure-dist-info-is-written-deterministically.patch remove
      patch. It is already applied for upstream.
  * d/control: Add python3-tomli-w as D-Depends. Also add it in
    d/tests/control file.
  * d/copyright: Update Copyright year for debian/* files.
  * d/control: Remove python3-pep517 from B-Dedepends, it is no longer needed.
    Also, remove it from d/tests/control.
  * d/copyright: Remove entry for src/poetry/core/_vendor/pyparsing/* files. It
    is not longer in upstream code.
    - Remove entry for src/poetry/core/_vendor/tomlkit/* files it was replaced by
      tomli-w.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 30 Jun 2023 00:08:47 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
+Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                git <!nocheck>,
@@ -10,11 +10,11 @@
                python3-all,
                python3-all-dev,
                python3-build <!nocheck>,
-               python3-pep517,
                python3-poetry-core,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-setuptools,
+               python3-tomli-w <!nocheck>,
                python3-virtualenv,
 Standards-Version: 4.6.2
 Homepage: https://github.com/python-poetry/poetry-core
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-Breaks: python3-poetry (<< 1.3.1+dfsg-1),
+Breaks: python3-poetry (<< 1.5.1+dfsg-1),
         python3-cleo (<< 2.0.1-1)
 Description: Poetry PEP 517 Build Backend
  A PEP 517 build backend implementation developed for Poetry. This project

## poetry-core 1.7.0

=== debian/changelog ===
poetry-core (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 02 Sep 2023 14:21:05 -0300

poetry-core (1.6.1-2) unstable; urgency=medium

  * d/control: Update Breaks for poetry << 1.5.1+dfsg-3 (from 1.5.1+dfsg-1).

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 22 Aug 2023 21:19:52 -0300

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-Breaks: python3-poetry (<< 1.5.1+dfsg-1),
+Breaks: python3-poetry (<< 1.5.1+dfsg-3),
         python3-cleo (<< 2.0.1-1)
 Description: Poetry PEP 517 Build Backend
  A PEP 517 build backend implementation developed for Poetry. This project

## poetry-core 1.9.0

=== debian/changelog ===
poetry-core (1.9.0-1) unstable; urgency=medium

  * d/salsa-ci.yml: Deactivate SALSA_CI_DISABLE_REVERSE_DEPENDENCIES
    variable to build reverse dependencies.
  * Upload to unstable.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 23 Feb 2024 22:57:12 -0300

poetry-core (1.9.0-1~exp1) experimental; urgency=medium

  * New upstream version.
  * d/rules: Stop removing *extended* files from tests, to avoid fail
    in rebuilds (Closes: #1049669).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 17 Feb 2024 13:25:10 -0300

poetry-core (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update Breaks for python3-poetry to << 1.7.0+dfsg-1.
  * d/copyright: Remove copyright entry for jsonschema and replace it by
    fastjsonschema.
  * d/copyright: Remove copyright entry for:
    - src/poetry/core/_vendor/attrs/*
    - src/poetry/core/_vendor/attr/*
    - src/poetry/core/_vendor/pyrsistent/_toolz.py
    - src/poetry/core/_vendor/pyrsistent/*
    - src/poetry/core/_vendor/typing_extensions.py
    They are not longer vendored by upstream.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 10 Nov 2023 18:38:14 -0300

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-Breaks: python3-poetry (<< 1.5.1+dfsg-3),
+Breaks: python3-poetry (<< 1.7.0+dfsg-1),
         python3-cleo (<< 2.0.1-1)
 Description: Poetry PEP 517 Build Backend
  A PEP 517 build backend implementation developed for Poetry. This project

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 	find debian -type f -name "vendor.txt" -delete
 	find debian -type f -name "*COPYING*" -delete
 	# this is from tests
-	find . -name "*extended*" -type d -exec rm  -rf {} +
+	#find . -name "*extended*" -type d -exec rm  -rf {} +

=== debian/tests/control ===
Tests: pytest
Depends: build-essential,
         git,
         python3-all,
         python3-all-dev,
         python3-build,
         python3-pytest,
         python3-pytest-mock,
         python3-setuptools,
         python3-tomli-w,
         python3-virtualenv,
         @,
Restrictions: allow-stderr

## poetry-core 2.0.1

=== debian/changelog ===
poetry-core (2.0.1-2) unstable; urgency=medium

  * d/tests/control: Add python3-trove-classifiers as Depends.
  * d/tests/pytest: Remove SOURCE_DATE_EPOCH variable definition.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 20 Jan 2025 10:37:32 -0300

poetry-core (2.0.1-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: Remove remove-parametrize-test.patch patch it's already
    implemented by upstream.
    - Update 0001-Skip-test-that-fail-on-the-build.patch according to new
    upstream release.
  * d/patches/fix-broken-tests.patch: Add patch to fix broken tests.
  * d/control: Add python3-trove-classifiers as Build Dependency.
  * d/patches/update-test-to-avoid-error.patch: Add patch to set
    SOURCE_DATE_EPOCH during test execution time.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 15 Jan 2025 18:07:55 -0300

poetry-core (1.9.0-2) unstable; urgency=medium

  * d/control: Add patch to remove test that fail with
    python3.12.6 (Closes: #1081311).
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes
    needed).

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 13 Sep 2024 09:24:35 -0300

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
                python3-pytest-mock <!nocheck>,
                python3-setuptools,
                python3-tomli-w <!nocheck>,
+               python3-trove-classifiers <!nocheck>,
                python3-virtualenv,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/python-poetry/poetry-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/poetry-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry-core

## poetry-core 2.1.1

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,12 @@
 .PHONY: vendor/lock
 vendor/lock: $(VENDOR_LOCK)
 	# regenerate lock file
-	@pushd $(VENDOR_SRC) && $(POETRY_BIN) lock --no-update
+	@pushd $(VENDOR_SRC) && $(POETRY_BIN) lock
 
 .PHONY: vendor/sync
 vendor/sync:
 	# regenerate vendor.txt file (exported from lockfile)
 	@pushd $(VENDOR_SRC) && $(POETRY_BIN) export --without-hashes 2> /dev/null \
-			| grep -E -v "(importlib|zipp)" \
 			| sort > $(VENDOR_TXT)
 
 	# vendor packages

=== debian/changelog ===
poetry-core (2.1.1-3) unstable; urgency=medium

  * Team upload.
  * d/control: Add Breaks: python3-poetry-plugin-export (<< 1.9.0-2~).

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 11:43:59 +0000

poetry-core (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Update Breaks for python3-poetry to << 2.1.0+dfsg-1.

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Mar 2025 11:25:08 +0000

poetry-core (2.1.1-1) unstable; urgency=medium

  * Upload to unstable.
  * d/gbp.conf: Follow DEP-14, change development branch from
    debian/master to debian/latest.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 11 Mar 2025 13:26:56 -0300

poetry-core (2.1.1-1~exp1) experimental; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 18 Feb 2025 20:28:57 -0300

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-Breaks: python3-poetry (<< 1.7.0+dfsg-1),
+Breaks: python3-poetry (<< 2.1.0+dfsg-1),
+        python3-poetry-plugin-export (<< 1.9.0-2~),
         python3-cleo (<< 2.0.1-1)
 Description: Poetry PEP 517 Build Backend
  A PEP 517 build backend implementation developed for Poetry. This project

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((rc|a|b)\d*)$/$1~$2/, \
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/v$1\.tar\.gz/" \
  https://github.com/python-poetry/poetry-core/tags .*/v?(\d[\d\.]*)\.tar\.gz

## poetry-core 2.1.2

=== debian/changelog ===
poetry-core (2.1.2-2) unstable; urgency=medium

  * d/control: Update Breaks for python3-poetry to << 2.1.1+dfsg-1.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 03 Apr 2025 20:55:05 -0300

poetry-core (2.1.2-1) unstable; urgency=medium

  * New upstream version.
  * d/salsa-ci: Use official pipelines. Stop using pipelines to run
    ratt.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 02 Apr 2025 21:30:20 -0300

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-Breaks: python3-poetry (<< 2.1.0+dfsg-1),
+Breaks: python3-poetry (<< 2.1.1+dfsg-1),
         python3-poetry-plugin-export (<< 1.9.0-2~),
         python3-cleo (<< 2.0.1-1)
 Description: Poetry PEP 517 Build Backend

## poetry-core 2.2.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 .PHONY: vendor/lock
 vendor/lock: $(VENDOR_LOCK)
 	# regenerate lock file
-	@pushd $(VENDOR_SRC) && $(POETRY_BIN) lock
+	@pushd $(VENDOR_SRC) && $(POETRY_BIN) lock --regenerate
 
 .PHONY: vendor/sync
 vendor/sync:

=== debian/changelog ===
poetry-core (2.2.1-2) unstable; urgency=medium

  * d/control: Update Breaks for python3-poetry to << 2.1.2+dfsg-1.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 24 Sep 2025 10:39:54 -0300

poetry-core (2.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control: Update Breaks for python3-poetry to << 2.1.1+dfsg-1.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 23 Sep 2025 22:33:16 -0300

=== debian/control ===
Source: poetry-core
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 git <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-all-dev,
 python3-build <!nocheck>,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-setuptools,
 python3-tomli-w <!nocheck>,
 python3-trove-classifiers <!nocheck>,
 python3-virtualenv,
Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry-core
Vcs-Git: https://salsa.debian.org/python-team/packages/poetry-core.git
Homepage: https://github.com/python-poetry/poetry-core
Rules-Requires-Root: no

Package: python3-poetry-core
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-poetry (<< 2.1.2+dfsg-1),
Description: Poetry PEP 517 Build Backend
 A PEP 517 build backend implementation developed for Poetry. This project
 is intended to be a light weight, fully compliant, self-contained package
 allowing PEP 517 compatible build frontends to build Poetry managed projects.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_TEST_ARGS=-k 'not test_version_is_synced'
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
          python3-pytest-mock,
          python3-setuptools,
          python3-tomli-w,
+         python3-trove-classifiers,
          python3-virtualenv,
          @,
 Restrictions: allow-stderr

## poetry-core 2.3.1

=== debian/changelog ===
poetry-core (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Feb 2026 11:51:39 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/poetry-core.git
 Homepage: https://github.com/python-poetry/poetry-core
-Rules-Requires-Root: no
 
 Package: python3-poetry-core
 Architecture: all
@@ -31,7 +30,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python3-poetry (<< 2.1.2+dfsg-1),
+ python3-poetry (<< 2.3.0),
 Description: Poetry PEP 517 Build Backend
  A PEP 517 build backend implementation developed for Poetry. This project
  is intended to be a light weight, fully compliant, self-contained package
